Status: Closed

Priority: High

Assignee:

Category: C++ plugins/GPS plugin

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19460

Description

A project with a GPX file that I opened with the GPS plugin will save that layer with an absolute path, even if the project setting is set to

relative.

Tested 2.4 on ubuntugis, mac and win7-standalone and master on OSGeo4W.

This is a regression on 2.2, and because opening the GPX file with a core plugin over-rides the project settings it also causes QGIS not to

work in an expected manner - which is why I'm setting as a blocker.

The attached zip file has:

    1. a sample shp file, which is always saved with a relative path.

    2. an identical gpx file that is saved with a relative path in QGIS 2.0 and 2.2, but is saved with an absolute path in QGIS 2.4 and

master.

    3. Project files made with QGIS 2.0, 2.2, 2,4 and master.

Associated revisions

Revision e1ff0edf - 2014-10-26 03:14 PM - Jürgen Fischer

support relative paths for gpx datasources (fixes #11131)

History

#1 - 2014-10-03 10:08 AM - Giovanni Manghi

- OS version deleted (2.4, master)

- Operating System deleted (all)

- Priority changed from Severe/Regression to High

Confirmed on the latest master, anyway this is one of the cases I have doubts tagging the issue as blocker (even if it is a regression). In this case because

there is no need (not anymore) to use the GPS plugin to load gpx files, just add then using the normal "add vector layer" dialog or by drag and drop.

#2 - 2014-10-26 07:28 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"e1ff0edfba67fea37fb9eebdf11062ddcefc3035".

#3 - 2014-12-06 01:40 PM - ramon .

2024-04-20 1/2



Jürgen, thanks for fixing this.

Giovanni, one of the main reasons that I don't use the "normal" dialoge is that the plugin adds the layers with a much more useful name. Once you've got a

project with a few gpx bits in, either you

    1. loose track of which of the identically namef layer is part of which gpx file (annoying), or 

    2. you need to rename them all (painful and time consuming), or 

    3. use the plugin (which solves the last two problems).

Another reason is that the plugin allows editing of the gpx file, while often using the ogr approach doesn't.

Files

GPXnotRelative.zip 11 KB 2014-09-03 ramon .
